Skip to main content
`Ctrl`+`K`

# DMPlexInsertConeOrientation

Insert a point orientation for the in-edge for the point p in the DAG

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexInsertConeOrientation(DM dm, PetscInt p, PetscInt conePos, PetscInt coneOrientation)

Not Collective

## Input Parameters

- dm - The `DMPLEX`

- p - The point, which must lie in the chart set with `DMPlexSetChart()`

- conePos - The local index in the cone where the point should be put

- coneOrientation - The point orientation to insert

## Note

The meaning of coneOrientation values is detailed in `DMPlexGetConeOrientation()`.

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexCreate()`, `DMPlexGetCone()`, `DMPlexSetChart()`, `DMPlexSetConeSize()`, `DMSetUp()`

## Level

beginner

## Location

src/dm/impls/plex/plex.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages